GET api/departmentItemapi/departmentitemsbydepartment/{departmentId}?active={active}&lastUpdate={lastUpdate}
Request Information
URI Parameters
| Name | Description | Type | Additional information |
|---|---|---|---|
| departmentId | globally unique identifier |
Required |
|
| active | boolean |
None. |
|
| lastUpdate | date |
None. |
Body Parameters
None.
Response Information
Resource Description
Collection of DepartmentItemViewModel| Name | Description | Type | Additional information |
|---|---|---|---|
| item_code | string |
None. |
|
| item_descriptions | Dictionary of string [key] and string [value] |
None. |
|
| selected_sticker_id | globally unique identifier |
None. |
|
| selected_nameplate_id | globally unique identifier |
None. |
|
| active | boolean |
Required |
|
| department_id | globally unique identifier |
Required |
|
| id | globally unique identifier |
None. |
|
| physical_item_id | globally unique identifier |
None. |
|
| service_item_id | globally unique identifier |
None. |
|
| item_wash_max | integer |
None. |
|
| quantity | integer |
None. |
Response Formats
application/json, text/json
Sample:
[
{
"item_code": "sample string 1",
"item_descriptions": {
"sample string 1": "sample string 2",
"sample string 3": "sample string 4"
},
"selected_sticker_id": "26ca2c7d-d4e0-4ddb-801d-465ed45815a7",
"selected_nameplate_id": "3b81db63-56e5-40d7-a675-5c8e9745d762",
"active": true,
"department_id": "c4ba01e9-db0b-43ae-994a-8e4155852c7a",
"id": "aa6e11f4-b75c-4d46-9915-1e4e5ca4f362",
"physical_item_id": "4e02a4c9-2e85-4525-84f6-a84af8db9788",
"service_item_id": "5699672c-e878-4a3d-bd7b-d4de0054667b",
"item_wash_max": 1,
"quantity": 1
},
{
"item_code": "sample string 1",
"item_descriptions": {
"sample string 1": "sample string 2",
"sample string 3": "sample string 4"
},
"selected_sticker_id": "26ca2c7d-d4e0-4ddb-801d-465ed45815a7",
"selected_nameplate_id": "3b81db63-56e5-40d7-a675-5c8e9745d762",
"active": true,
"department_id": "c4ba01e9-db0b-43ae-994a-8e4155852c7a",
"id": "aa6e11f4-b75c-4d46-9915-1e4e5ca4f362",
"physical_item_id": "4e02a4c9-2e85-4525-84f6-a84af8db9788",
"service_item_id": "5699672c-e878-4a3d-bd7b-d4de0054667b",
"item_wash_max": 1,
"quantity": 1
}
]
application/xml, text/xml
Sample:
<ArrayOfdepartment_item xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/EntityModel">
<department_item>
<active>true</active>
<department_id>c4ba01e9-db0b-43ae-994a-8e4155852c7a</department_id>
<id>aa6e11f4-b75c-4d46-9915-1e4e5ca4f362</id>
<item_wash_max>1</item_wash_max>
<physical_item_id>4e02a4c9-2e85-4525-84f6-a84af8db9788</physical_item_id>
<quantity>1</quantity>
<service_item_id>5699672c-e878-4a3d-bd7b-d4de0054667b</service_item_id>
<item_code>sample string 1</item_code>
<item_descriptions xmlns:d3p1="http://schemas.microsoft.com/2003/10/Serialization/Arrays">
<d3p1:KeyValueOfstringstring>
<d3p1:Key>sample string 1</d3p1:Key>
<d3p1:Value>sample string 2</d3p1:Value>
</d3p1:KeyValueOfstringstring>
<d3p1:KeyValueOfstringstring>
<d3p1:Key>sample string 3</d3p1:Key>
<d3p1:Value>sample string 4</d3p1:Value>
</d3p1:KeyValueOfstringstring>
</item_descriptions>
<selected_nameplate_id>3b81db63-56e5-40d7-a675-5c8e9745d762</selected_nameplate_id>
<selected_sticker_id>26ca2c7d-d4e0-4ddb-801d-465ed45815a7</selected_sticker_id>
</department_item>
<department_item>
<active>true</active>
<department_id>c4ba01e9-db0b-43ae-994a-8e4155852c7a</department_id>
<id>aa6e11f4-b75c-4d46-9915-1e4e5ca4f362</id>
<item_wash_max>1</item_wash_max>
<physical_item_id>4e02a4c9-2e85-4525-84f6-a84af8db9788</physical_item_id>
<quantity>1</quantity>
<service_item_id>5699672c-e878-4a3d-bd7b-d4de0054667b</service_item_id>
<item_code>sample string 1</item_code>
<item_descriptions xmlns:d3p1="http://schemas.microsoft.com/2003/10/Serialization/Arrays">
<d3p1:KeyValueOfstringstring>
<d3p1:Key>sample string 1</d3p1:Key>
<d3p1:Value>sample string 2</d3p1:Value>
</d3p1:KeyValueOfstringstring>
<d3p1:KeyValueOfstringstring>
<d3p1:Key>sample string 3</d3p1:Key>
<d3p1:Value>sample string 4</d3p1:Value>
</d3p1:KeyValueOfstringstring>
</item_descriptions>
<selected_nameplate_id>3b81db63-56e5-40d7-a675-5c8e9745d762</selected_nameplate_id>
<selected_sticker_id>26ca2c7d-d4e0-4ddb-801d-465ed45815a7</selected_sticker_id>
</department_item>
</ArrayOfdepartment_item>